Package org.eclipse.rdf4j.query.parser.sparql.manifest

## Class SPARQLQueryComplianceTest

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLComplianceTest
  - - org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLQueryComplianceTest

- Direct Known Subclasses:
    `GeoSPARQLManifestTest`, `SPARQL10QueryComplianceTest`, `SPARQL11QueryComplianceTest`, `SPARQL12QueryComplianceTest`

      public abstract class SPARQLQueryComplianceTest
      extends SPARQLComplianceTest

  Base functionality for SPARQL query compliance test suites .
  Author:
    Jeen Broekstra

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected static class` | `SPARQLQueryComplianceTest.SPARQLQueryTestManifest` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SPARQLQueryComplianceTest​(String displayName, String testURI, String name, String queryFileURL, String resultFileURL, Dataset dataset, boolean ordered)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Repository` | `getDataRepository()` |
    `protected abstract Repository` | `newRepository()` |
    `protected void` | `runTest()` |
    `void` | `setUp()` |
    `void` | `tearDown()` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLComplianceTest

      `addIgnoredTest, compareGraphs, getDisplayName, getIgnoredTests, getName, getTestURI, includeSubManifest, printBindingSet, setIgnoredTests, test, upload, uploadDataset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SPARQLQueryComplianceTest

          public SPARQLQueryComplianceTest​(String displayName,
                                           String testURI,
                                           String name,
                                           String queryFileURL,
                                           String resultFileURL,
                                           Dataset dataset,
                                           boolean ordered)

      Parameters:
        `displayName` -
        `testURI` -
        `name` -
        `queryFileURL` -
        `resultFileURL` -
        `dataset` -
        `ordered` -

  - ### Method Detail

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

    - #### runTest

          protected void runTest()
                          throws Exception

      Specified by:
        `runTest` in class `SPARQLComplianceTest`
      Throws:
        `Exception`

    - #### newRepository

          protected abstract Repository newRepository()
                                               throws Exception

      Throws:
        `Exception`

    - #### getDataRepository

          protected Repository getDataRepository()

      Specified by:
        `getDataRepository` in class `SPARQLComplianceTest`